### Function

# Gimp cairo_checkerboard_create

#### Declaration [src]

    cairo_pattern_t*
    gimp_cairo_checkerboard_create (
      cairo_t* cr,
      gint size,
      const GimpRGB* light,
      const GimpRGB* dark
    )

#### Description [src]

Create a repeating checkerboard pattern.

Available since: | 2.6

#### Parameters

`cr` | `cairo_t`
| Cairo context.
| The data is owned by the caller of the function.
`size` | `gint`
| Check size.
`light` | `GimpRGB`
| Light check color or `NULL` to use the default light gray.
| The data is owned by the caller of the function.
`dark` | `GimpRGB`
| Dark check color or `NULL` to use the default dark gray.
| The data is owned by the caller of the function.

#### Return value

Returns: | `cairo_pattern_t`
| A new Cairo pattern that can be used as a source on `cr`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.